Infrastructure - Task #2184

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance
Archived objects must be removed from the index

2012-01-10 16:49 - Dave Vieglais

Status: Closed Start date: 2012-01-10
Priority: Normal Due date:

Assignee: Skye Roseboom % Done: 100%
Category: d1_indexer Estimated time: 0.00 hour
Target version: Sprint-2012.05-Block.1.3

Milestone: CCI-1.0.0 Story Points:

Product Version: *

Description

When the SystemMetadata.archived boolean value is set to True, the object should not appear in searches, and so must be removed
from the index.

This task is to ensure the index task processor implementation conforms to this.

History

#1 - 2012-01-10 17:43 - Skye Roseboom

Also need to properly handle resource maps if there is any special processing requirements.

Need to remove items that have 'obsoletedBy' set?

#2 - 2012-01-11 22:26 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-01-13 18:39 - Skye Roseboom
Yes, obsoletedBy items should be removed from the index.
Also need to configure a test case for for archived, obsoleted resource map references - say between science metadata and the map. [f science

metadata is referenced by multiple maps - must also update the science metadata contains/map references to eliminate archived/obsoletedby
references. TEST CASE NEEDED FOR THIS.

#4 - 2012-01-20 14:35 - Skye Roseboom

- Status changed from In Progress to Closed

Completed handling of removing items in data packages from index when archived, obsoleted. Also added logic to prevent re-adding
archived/obsoleted items to index on data package update.

Test scenarios covered in SolrindexDeleteTest unit test.
